<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/add_to_wish_list/init.jsp" %>

<div class="add-to-wish-list" id="<%= addToWishListId %>">
	<liferay-util:include page="/add_to_wish_list/skeleton.jsp" servletContext="<%= application %>" />
</div>

<aui:script require="commerce-frontend-js/components/add_to_wish_list/entry as AddToWishList">
	const initialProps = {
		accountId: <%= commerceAccountId %>,
		cpDefinitionId: <%= cpCatalogEntry.getCPDefinitionId() %>,
		large: <%= large %>,
		isInWishList: <%= inWishList %>,
		skuId: <%= skuId %>,
	};

	AddToWishList.default(
		'<%= addToWishListId %>',
		'<%= addToWishListId %>',
		initialProps
	);
</aui:script>