<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/panel/init.jsp" %>

		</div>

		<c:if test="<%= Validator.isNotNull(showMoreId) || Validator.isNotNull(showMoreUrl) %>">
			<div class="border-top card-footer p-0" id="<%= HtmlUtil.escapeAttribute(showMoreButtonWrapperId) %>">
				<a class="border-0 btn btn-secondary w-100" href="<%= Validator.isNotNull(showMoreUrl) ? HtmlUtil.escapeHREF(showMoreUrl) : '#' %>" id="<%= HtmlUtil.escapeAttribute(showMoreButtonId) %>">
					<liferay-ui:message key="you" />
				</a>
			</div>
		</c:if>
	</div>
</div>