<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %><%@
taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="liferay-ui" %>

<%@ taglib uri="http://liferay.com/tld/aui" prefix="aui" %><%@
taglib uri="http://liferay.com/tld/clay" prefix="clay" %><%@
taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme" %>

<%@ page import="com.liferay.petra.string.StringPool" %><%@
page import="com.liferay.portal.kernel.util.HtmlUtil" %><%@
page import="com.liferay.portal.kernel.util.Validator" %>

<liferay-theme:defineObjects />

<%
String actionIcon = (String)request.getAttribute("liferay-commerce:panel:actionIcon");
String actionLabel = (String)request.getAttribute("liferay-commerce:panel:actionLabel");
String actionTargetId = (String)request.getAttribute("liferay-commerce:panel:actionTargetId");
String actionUrl = (String)request.getAttribute("liferay-commerce:panel:actionUrl");
String bodyClasses = (String)request.getAttribute("liferay-commerce:panel:bodyClasses");
boolean collapsed = (boolean)request.getAttribute("liferay-commerce:panel:collapsed");
String collapseLabel = (String)request.getAttribute("liferay-commerce:panel:collapseLabel");
String collapseSwitchName = (String)request.getAttribute("liferay-commerce:panel:collapseSwitchName");
boolean collapsible = (boolean)request.getAttribute("liferay-commerce:panel:collapsible");
String elementClasses = (String)request.getAttribute("liferay-commerce:panel:elementClasses");
String randomNamespace = (String)request.getAttribute("liferay-commerce:panel:randomNamespace");
String showMoreId = (String)request.getAttribute("liferay-commerce:panel:showMoreId");
String showMoreUrl = (String)request.getAttribute("liferay-commerce:panel:showMoreUrl");
String title = (String)request.getAttribute("liferay-commerce:panel:title");

String linkId = Validator.isNotNull(actionTargetId) ? actionTargetId : (randomNamespace + "header-link");
String showMoreButtonId = Validator.isNotNull(showMoreId) ? showMoreId : (randomNamespace + "show-more-button");
String showMoreButtonWrapperId = randomNamespace + "show-more-button-wrapper";
%>