<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/price/init.jsp" %>

<%
String[] discountPercentages = priceModel.getDiscountPercentages();
%>

<c:if test="<%= !compact %>">
	<span class="price-label">
		<liferay-ui:message key="discount" />
	</span>
	<span class="price-value price-value-discount">
		<c:choose>
			<c:when test="<%= displayDiscountLevels && Validator.isNotNull(discountPercentages) %>">
				<c:forEach items="<%= discountPercentages %>" var="percentage">
					<span class="price-value-percentages">${percentage}</span>
				</c:forEach>
			</c:when>
			<c:otherwise>
				&ndash;<%= priceModel.getDiscountPercentage() %>
			</c:otherwise>
		</c:choose>
	</span>
</c:if>

<span class="price-label">
	<c:choose>
		<c:when test="<%= netPrice %>">
			<liferay-ui:message key="net-price" />
		</c:when>
		<c:otherwise>
			<liferay-ui:message key="gross-price" />
		</c:otherwise>
	</c:choose>
</span>
<span class="price-value price-value-final">
	<%= priceModel.getFinalPrice() %>
</span>