<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/add_to_wish_list/init.jsp" %>

<%
String buttonCssClasses = "btn-outline-borderless btn btn-secondary";

if (GetterUtil.getBoolean(large)) {
	buttonCssClasses = buttonCssClasses.concat(" btn-lg");
}
else {
	buttonCssClasses = buttonCssClasses.concat(" btn-sm");
}
%>

<button class="<%= buttonCssClasses %> skeleton" type="button">
	<span class="text-truncate-inline">
		<span class="font-weight-normal text-truncate">
			<liferay-ui:message key="add-to-list" />
		</span>
	</span>
	<span class="wish-list-icon">
		<svg class="lexicon-icon lexicon-icon-heart" role="presentation"></svg>
	</span>
</button>