<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/compare_checkbox/init.jsp" %>

<div class="compare-checkbox-root" id="<%= rootId %>"></div>

<aui:script require="commerce-frontend-js/components/compare_checkbox/entry as compareCheckbox">
	compareCheckbox.default('<%= rootId %>', '<%= rootId %>', {
		disabled: <%= disabled %>,
		inCompare: <%= inCompare %>,
		itemId: '<%= cpCatalogEntry.getCPDefinitionId() %>',
		label: '<%= label %>',
		pictureUrl: '<%= pictureUrl %>',
	});
</aui:script>