<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/modal_content/init.jsp" %>

<div class="modal-iframe-wrapper">
	<c:if test="<%= Validator.isNotNull(title) %>">
		<header class="modal-header modal-iframe-header">
			<h2 class="modal-title"><%= HtmlUtil.escape(title) %></h2>

			<button aria-label="close" class="btn btn-unstyled close modal-closer" type="button">
				<clay:icon
					symbol="times"
				/>
			</button>
		</header>
	</c:if>

	<div class="modal-iframe-content<%= Validator.isNotNull(contentCssClasses) ? StringPool.SPACE + HtmlUtil.escapeAttribute(contentCssClasses) : StringPool.BLANK %>">