<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/step_tracker/init.jsp" %>

<div class="step-tracker-root" id="<%= stepTrackerId %>"></div>

<aui:script require="commerce-frontend-js/components/step_tracker/entry as stepTracker">
	stepTracker.default('<%= stepTrackerId %>', '<%= stepTrackerId %>', {
		portletId: '<%= portletDisplay.getRootPortletId() %>',
		spritemap: '<%= HtmlUtil.escapeJS(spritemap) %>',
		steps: <%= jsonSerializer.serializeDeep(steps) %>,
	});
</aui:script>